Description

History

#1 - 12/04/2015 06:23 AM - Constantin Asofiei

- % Done changed from 0 to 90

This task finishes the ON ... REVERT trigger support. Also, it fixes and disambiguates the ANYWHERE option (for widget triggers) from ANYWHERE

globally triggers (without widgets/resources).

Created branch 2917a.  Revision 10956 contains the changes.  Please review.

Runtime testing is in progress.

#2 - 12/04/2015 09:34 AM - Greg Shah

Code Review Task Branch 2917a Revision 10956

1. Is it intended that EventList.remove() operate on multiple EventDefinition instances if their widget IDs or event IDs match?  It seems to me that one

might remove widget/resource IDs from non-intersecting definitions as well as intersecting ones (e.g. different events but same widget IDs).

2. EventList.remove() is package private, so it should be moved to below the public methods.

#3 - 12/04/2015 10:54 AM - Constantin Asofiei

Greg Shah wrote:

Code Review Task Branch 2917a Revision 10956

1. Is it intended that EventList.remove() operate on multiple EventDefinition instances if their widget IDs or event IDs match?  It seems to me that

one might remove widget/resource IDs from non-intersecting definitions as well as intersecting ones (e.g. different events but same widget IDs).

 

On server-side, although the trigger ID is set at the EventDefinition, each EventList matches only one ON statement.  Even if the same widget is set

more than once for this trigger, it doesn't affect the ON ... REVERT: what it matters is if is the only trigger defined or not.

I'll change the EventList.removE(EventDefinition) to include the intersect check and return a boolean if something was removed or not (currently there

is a javadoc stating that a EventList.intersect() check is required before invoking this).
2. EventList.remove() is package private, so it should be moved to below the public methods.

 

OK.

#4 - 12/04/2015 11:08 AM - Constantin Asofiei

I've rebased 2917a from trunk rev 10956.

See revision 10959 for the issues in note 2.

#5 - 12/04/2015 11:55 AM - Greg Shah

Code Review Task Branch 2917a Revision 10959

The code looks good.

What standalone testcases have you checked?

#6 - 12/07/2015 09:55 AM - Constantin Asofiei

Greg Shah wrote:

What standalone testcases have you checked?

 

I've tested with uast/revert_trigger/revert_trigger.p, but the existing revert1.p and revert2.p tests fail ... I missed to check the case when multiple

events/widgets are defined for the same trigger.  I'm working on a fix.

#7 - 12/07/2015 12:47 PM - Constantin Asofiei

2917a rev 10960 fixes EventList.remove - use intersection/difference to remove an event list.

#8 - 12/07/2015 03:49 PM - Greg Shah

Code Review Task Branch 2917a Revision 10960

The changes are good.  It is easier to read/understand and I like the reuse of our other code for handling the removal.

Please rebase and put it into runtime testing, if you are happy with the current state.

#9 - 12/08/2015 06:28 PM - Constantin Asofiei

Greg Shah wrote:
Code Review Task Branch 2917a Revision 10960

The changes are good.  It is easier to read/understand and I like the reuse of our other code for handling the removal.

Please rebase and put it into runtime testing, if you are happy with the current state.

 

2917a was rebased from trunk rev 10957 - new rev 10961.

Runtime testing also passed.  I think is OK to merge either to 1881t or to trunk.

#10 - 12/11/2015 01:28 PM - Greg Shah

Please merge to trunk.

#11 - 12/11/2015 02:14 PM - Constantin Asofiei

Greg Shah wrote:

Please merge to trunk.

 

2917a was merged to trunk rev 10958 and archived.

#12 - 12/17/2015 08:42 AM - Greg Shah

- Status changed from WIP to Closed

#13 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
